Summary:	PPTP Configuration for PlusNet users
Name:		pptp-plusnet
Version:	0.40
Release:	1
License:	GPL
Group:		Applications/Internet
URL:		http://www.city-fan.org/ftp/contrib/drivers/
BuildArch:	noarch
Source:		%{name}-%{version}.tar.bz2
Requires:	pptp, chkconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%(%{__id_u} -n)

%description
This is a set of configuration files to make setting up of a PPTP
(Point to Point Tunnelling Protocol) connection to PlusNet (a U.K.
ISP - see http://www.plus.net/) easy. Written for use with an
Alcatel Speedtouch 510 ADSL router, but should work OK with other,
similar hardware. Once installed, you'll need to edit
/etc/ppp/chap-secrets and /etc/ppp/peers/plusnet to set up your
account details.

%prep
%setup

%build

%install
%{__install} -m 0755 -d ${RPM_BUILD_ROOT}/etc/ppp
%{__install} -m 0755 -d ${RPM_BUILD_ROOT}/etc/ppp/peers
%{__install} -m 0755 -d ${RPM_BUILD_ROOT}/etc/logrotate.d
%{__install} -m 0755 -d ${RPM_BUILD_ROOT}/etc/rc.d/init.d

%{__install} -m 0600 chap-secrets.plusnet ${RPM_BUILD_ROOT}/etc/ppp/chap-secrets.plusnet
%{__install} -m 0755 initscript           ${RPM_BUILD_ROOT}/etc/rc.d/init.d/plusnet
%{__install} -m 0755 etrn.pl              ${RPM_BUILD_ROOT}/etc/ppp/etrn.pl
%{__install} -m 0755 ip-up.plusnet        ${RPM_BUILD_ROOT}/etc/ppp/ip-up.plusnet
%{__install} -m 0755 ip-down.plusnet      ${RPM_BUILD_ROOT}/etc/ppp/ip-down.plusnet
%{__install} -m 0644 logrotate            ${RPM_BUILD_ROOT}/etc/logrotate.d/plusnet
%{__install} -m 0644 peers/bt_test        ${RPM_BUILD_ROOT}/etc/ppp/peers/bt_test
%{__install} -m 0644 peers/bt_test_user   ${RPM_BUILD_ROOT}/etc/ppp/peers/bt_test_user
%{__install} -m 0644 peers/plusnet        ${RPM_BUILD_ROOT}/etc/ppp/peers/plusnet

%clean
%{__rm} -rf %{buildroot}

%post

# Make sure we start up the connection on reboot
/sbin/chkconfig --add plusnet

# Make sure ip-up.plusnet and ip-down.plusnet are called
[ ! -f /etc/ppp/ip-up.local   ] && touch /etc/ppp/ip-up.local   && chmod 755 /etc/ppp/ip-up.local
[ ! -f /etc/ppp/ip-down.local ] && touch /etc/ppp/ip-down.local && chmod 755 /etc/ppp/ip-down.local

fgrep --silent ip-up.plusnet /etc/ppp/ip-up.local ||
	echo '[ -x /etc/ppp/ip-up.plusnet ] && /etc/ppp/ip-up.plusnet "$@"' >> /etc/ppp/ip-up.local
fgrep --silent ip-down.plusnet /etc/ppp/ip-down.local ||
	echo '[ -x /etc/ppp/ip-down.plusnet ] && /etc/ppp/ip-down.plusnet "$@"' >> /etc/ppp/ip-down.local

exit 0

%pre


%preun
/sbin/chkconfig --del plusnet


%postun


%files
%defattr(-,root,root)
%config 		/etc/rc.d/init.d/plusnet
%config(noreplace)	/etc/ppp/peers/plusnet
%config(noreplace)	/etc/ppp/ip-up.plusnet
%config(noreplace)	/etc/ppp/ip-down.plusnet
/etc/ppp/chap-secrets.plusnet
/etc/ppp/etrn.pl
/etc/logrotate.d/plusnet
/etc/ppp/peers/bt_test
/etc/ppp/peers/bt_test_user
%doc COPYING

%changelog
* Tue May 10 2005 Paul Howarth <paul@city-fan.org> 0.40-1
- Add check that connection actually came up.
- Wait longer before deciding connection is dead.
- Change pptp-linux dependency to pptp.

* Wed Jan 28 2004 Paul Howarth <paul@city-fan.org> 0.32-1
- Fixed typo in "status" section of initscript.
- Fixed permission problem in generated /etc/resolv.conf.

* Wed Jan 28 2004 Paul Howarth <paul@city-fan.org> 0.31-1
- Add "status" section to initscript.

* Wed Jan 28 2004 Paul Howarth <paul@city-fan.org> 0.3-1
- Removed ip-up.local, added ip-{up,down}.plusnet instead, with
  post-install script to add call to these into ip-up.local and
  ip-down.local.

* Sat Mar 22 2003 Paul Howarth <paul@city-fan.org> 0.2-1
- Fix to initscript to quietly delete existing default route, if any.

* Tue Mar 18 2003 Paul Howarth <paul@city-fan.org> 0.1-1
- Initial release.
